package momentscopy

import (
	"github.com/golangkit/formatime"
	"live/app/lib/db"
)

type MomentsCopy struct {
	db.BaseModel
	ID         uint             `gorm:"column:id;primary_key" json:"id"`
	GoodsID    uint             `gorm:"column:goods_id" json:"goodsId"`
	Text       string           `gorm:"column:text" json:"text"`
	UserID     uint             `gorm:"column:user_id" json:"userId"`
	HeadImgURL string           `gorm:"column:head_img_url" json:"headImgUrl"`
	Nickname   string           `gorm:"column:nickname" json:"nickname"`
	Reviewing  uint             `gorm:"column:reviewing" json:"reviewing"` // 1 审核中， 0 审核通过， 2 拒绝
	CreatedAt  formatime.Second `gorm:"column:created_at" json:"createdAt"`
	ReasonID   uint             `gorm:"column:reason_id" json:"reasonId"`
	ReasonNote string           `gorm:"column:reason_note" json:"reasonNote"`
	ManagerID  int              `gorm:"column:manager_id" json:"managerId"`  // 审核人id（系统操作员）
	Compliance int              `gorm:"column:compliance" json:"compliance"` //合规
}
